#### D.5.2.60 EulerAff

Procedure from library `chern.lib` (see chern_lib).

Usage:
  EulerAff(I); I an ideal

Return:
  integer

Purpose:
  computes the Euler characteristic of the affine variety defined by I

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (x, y), dp;
    // compute the Euler characteristic of the affine elliptic curve y^2=x^3+x+1;
    ideal I=y2-x3-x-1;
    EulerAff(I);

User manual for Singular version 4.4.1, 2025, generated by texi2html.